@charset "UTF-8";

/*
 * ICONES CUSTOM POUR LE THEME BACK (CHAMP ICONE)
 */

.field--widget-icon-widget [class^="fr-icon-"]::before,
.field--widget-icon-widget [class*=" fr-icon-"]::before,
.field--widget-icon-widget [class^="fr-fi-"]::before,
.field--widget-icon-widget [class*=" fr-fi-"]::before {
  flex: 0 0 auto;
  display: inline-block;
  vertical-align: calc((0.75em - var(--icon-size)) * 0.5);
  background-color: currentColor;
  width: var(--icon-size);
  height: var(--icon-size);
  -webkit-mask-size: 100% 100%;
  mask-size: 100% 100%;
  --icon-size: 1.5rem;
  content: "";
}

.fr-icon-account-box-fill::before {
  -webkit-mask-image: url("../icons/not-dsfr/account-box-fill.svg") !important;
  mask-image: url("../icons/not-dsfr/account-box-fill.svg") !important;
}

.fr-icon-book-open-fill::before {
  -webkit-mask-image: url("../icons/not-dsfr/book-open-fill.svg") !important;
  mask-image: url("../icons/not-dsfr/book-open-fill.svg") !important;
}

.fr-icon-book-open-line::before {
  -webkit-mask-image: url("../icons/not-dsfr/book-open-line.svg") !important;
  mask-image: url("../icons/not-dsfr/book-open-line.svg") !important;
}

.fr-icon-flask-fill::before {
  -webkit-mask-image: url("../icons/not-dsfr/flask-fill.svg") !important;
  mask-image: url("../icons/not-dsfr/flask-fill.svg") !important;
}

.fr-icon-graduation-cap-line::before {
  -webkit-mask-image: url("../icons/not-dsfr/graduation-cap-line.svg") !important;
  mask-image: url("../icons/not-dsfr/graduation-cap-line.svg") !important;
}

.fr-icon-map-2-line::before {
  -webkit-mask-image: url("../icons/not-dsfr/map-2-line.svg") !important;
  mask-image: url("../icons/not-dsfr/map-2-line.svg") !important;
}

.fr-icon-map-pin-line::before {
  -webkit-mask-image: url("../icons/not-dsfr/map-pin-line.svg") !important;
  mask-image: url("../icons/not-dsfr/map-pin-line.svg") !important;
}

.fr-icon-medal-line::before {
  -webkit-mask-image: url("../icons/not-dsfr/medal-line.svg") !important;
  mask-image: url("../icons/not-dsfr/medal-line.svg") !important;
}

.fr-icon-navigation-line::before {
  -webkit-mask-image: url("../icons/not-dsfr/navigation-line.svg") !important;
  mask-image: url("../icons/not-dsfr/navigation-line.svg") !important;
}

.fr-icon-star-line::before {
  -webkit-mask-image: url("../icons/not-dsfr/star-line.svg") !important;
  mask-image: url("../icons/not-dsfr/star-line.svg") !important;
}
